Subject: bug#58802: On guix pull: failed to compute the derivation for Guix (ERROR: In procedure %resolve-variable:)

From: Wiktor Żelazny <[email-masked]>
Date: Thu, 3 Nov 2022 21:02:14 +0100

On Wed, Nov 02, 2022 at 10:31:11AM +0100, zimoun wrote:

> > One commit later
> >
> >    guix time-machine --commit=08f2a06d261ad7a91b3f4df83a5093b8a28f15ed -- help
> >
> > fails.
> >
> > The commit is “gnu: Add guile-dns.” Kind of makes sense that it is
> > guile-related.
>
> Are you sure the error is not coming from your local channel named
> guix-wz?

I’m not sure. However, I did

   sudo su -
   # guix pull

and ran into the same issue, even though root does not use guix-wz.

I reverted the above commit in a local clone and tried pointing
guix to the clone

   guix pull --url=… --commit=… --disable-authentication

Same problem.

I also build guix from the source and tried, in vain

   ./pre-inst-env guix pull

> From you initial bug report, the error seems because some Perl
> package.

There was one package with perl as a native-input. I removed it, and
nothing changed. Moreover, from the bug report:

   222:17 10 (map1 (((gnu packages perl)) ((gnu packages python)) ((gnu packages m4)) ((gnu packages man)) ((# ?)) ?))

I don’t use m4 and man modules anywhere. However, the sequence
perl-python-m4-man occurs in gnu/packages/autotools.scm of Guix proper.

> And it would appear to me weird that the error would be from the
> addition of the package guile-dns.

Yes, I agree.

WŻ